Subject: bug#24720: Performance impact of -no-pie

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Oct 2016 10:04:35 +0300

> From: Alex <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 19 Oct 2016 13:45:47 -0600
> 
> > The default switches are known, so they don't need to be spelled out
> > in the report.  It's the non-default ones that needs to be shown.
> 
> I agree that they don't need to be in the report, but just having them
> in a variable (e.g. system-configuration-options) would make it easier
> for users to see what the default switches are.
> 
> For example, I would have compared system-configuration-options between
> the slow and fast builds and noticed that the fast build had '-O2' while
> the slow one didn't, and this report wouldn't have been filed.

You have that information in config.log, so I'm unsure why you
couldn't find it if you looked for it.